%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-spi
Version:          2.3.1
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBossWS SPI
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/spi/tags/jbossws-spi-2.3.1.Final/
# tar cafJ jbossws-spi-2.3.1.Final.tar.xz jbossws-spi-2.3.1.Final
Source0:          jbossws-spi-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.spec.javax.jms:jboss-jms-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.jboss.ws:jbossws-api) >= 1.0.1 
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)

%description
JBoss WS SPI classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-spi-%{namedversion}
# Disable java8doc doclint, using own javadoc setting
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Sat Feb 27 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 979958
- First rebuild of the java stack
- sync package jbossws-spi with fedora (update to 2.3.1.Final)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-0.2.CR1.5.mga5
+ Revision: 742567
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.2.0-0.2.CR1.3.mga4
+ Revision: 545334
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 2.2.0-0.2.CR1.2.mga4
+ Revision: 501160
- imported package jbossws-spi


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-0.1.CR1
- Upstream release 2.2.0.CR1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.1.0-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 21 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Updated jbossws-api dependency

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final
- Spec cleanup

* Tue Oct 02 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.3-4
- Add jbossws-parent BR
- Use POM macros instead of patch
- Enable tests

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-2
- Make Message.properties available in jar

* Fri May 4 2012 Patryk Obara <pobara@redhat.com> 2.0.3-1
- Initial packaging

